# Type alias ViewCfg

ViewCfg: {
attributes?: any;
configuration?: string | any;
default_render_page?: string;
description?: string;
exttable_name?: string;
id?: number;
is_public?: boolean;
min_role?: number;
name: string;
slug?: any;
table?: AbstractTable;
table_id?: number | null;
table_name?: string;
viewtemplate: string;
}

#### Type declaration

- ##### `Optional` attributes?: any

- ##### `Optional` configuration?: string | any

- ##### `Optional` default_render_page?: string

- ##### `Optional` description?: string

- ##### `Optional` exttable_name?: string

- ##### `Optional` id?: number

- ##### `Optional` is_public?: boolean

- ##### `Optional` min_role?: number

- ##### name: string

- ##### `Optional` slug?: any

- ##### `Optional` table?: AbstractTable

- ##### `Optional` table_id?: number | null

- ##### `Optional` table_name?: string

- ##### viewtemplate: string

- Defined in saltcorn-types/model-abstracts/abstract_view.ts:17

Generated using TypeDoc